all:
	csant -D$(CSC_NAME)=$(CSC) -C $(CSC_NAME)
	chmod 0755 *.exe

clean:
	rm -rf *.exe

distclean: clean

install:
	mkdir -p $(DESTDIR)$(datadir)/doc/qtcsharp/samples
	cat display.cs | gzip -9c > $(DESTDIR)$(datadir)/doc/qtcsharp/samples/display.cs.gz
	cat eventhandling.cs | gzip -9c > $(DESTDIR)$(datadir)/doc/qtcsharp/samples/eventhandling.cs.gz
	cat hello.cs | gzip -9c > $(DESTDIR)$(datadir)/doc/qtcsharp/samples/hello.cs.gz
	cat scribblewindow.cs | gzip -9c > $(DESTDIR)$(datadir)/doc/qtcsharp/samples/scribblewindow.cs.gz
	cat mandelbrot.cs | gzip -9c > $(DESTDIR)$(datadir)/doc/qtcsharp/samples/mandelbrot.cs.gz
	cat quantumfractals.cs | gzip -9c > $(DESTDIR)$(datadir)/doc/qtcsharp/samples/quantumfractals.cs.gz
	cat mandelbrot2.cs | gzip -9c > $(DESTDIR)$(datadir)/doc/qtcsharp/samples/mandelbrot2.cs.gz

uninstall:
	rm -rf $(datadir)/doc/qtcsharp/samples/*.cs.gz
	rm -rf $(datadir)/doc/qtcsharp/samples/*.cs

.PHONY: all clean distclean install
